> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/variants.md).

# Variant

The Variant object represents a variant as an uploaded PDF or DOCX document or a link to an externally hosted document as an element of terms for a product.&#x20;

This object contains the following attributes:

<table data-search="false"><thead><tr><th width="205">Field</th><th width="146">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>(Read-only) A unique identifier for the terms variant.</td></tr><tr><td><code>type</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>The type of terms variant.</td></tr><tr><td><code>name</code></td><td>string, core</td><td>A name for the terms variant.</td></tr><tr><td><code>description</code></td><td>string, core</td><td>A description of the terms variant.</td></tr><tr><td><code>assetUrl</code></td><td>string, core</td><td>The URL of the uploaded document or online document/resource.</td></tr><tr><td><code>languageCode</code></td><td>string, core</td><td>The 2-digit language code for the terms item.</td></tr><tr><td><code>status</code></td><td>string, core</td><td>The status of the terms.</td></tr><tr><td><code>termsAndConditions</code></td><td>string</td><td>The terms to which the item has been assigned.</td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

## Example

{% code title="VARIANT OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "TCS-1234-1234-1234-1234", 
  "name": "Terms and Conditions Variant - EN",
  "description": "Terms and Conditions Variant in English",
  "type": "Online",
  "assetUrl": "https://www.microsoft.com",
  "languageCode": "en",
  "state": "Draft",
  "termsAndConditions": {
    "id": "TCS-1234-1234-1234",    
    "name": "Microsoft 365 Terms of Service"
  },
  "audit": {
    "created": {
      "at": "2024-01-16T21:30:13.1046031",
      "by": {
        "id": "USR-0000-0001"
      }
    },
    "updated": null
  }
}
```

{% endcode %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/variants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
